import { UMB_COLLECTION_CONTEXT } from '../default/index.js';
import { UmbConditionBase } from '../../extension-registry/index.js';
export class UmbCollectionAliasCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        this.consumeContext(UMB_COLLECTION_CONTEXT, (context) => {
            this.permitted = context?.manifest?.alias === this.config.match;
        });
    }
}
export default UmbCollectionAliasCondition;
